<?php
require_once 'includes/config.php';
require_once 'includes/database.php';
require_once 'includes/functions.php';
if($_SERVER['REQUEST_METHOD']=='POST' && isset($_POST['smforgot'])){
	if(!isset($_POST['email']) || trim($_POST['email'])=='')
		$err_es = 'Please enter your email address';
	elseif(!valid_email(trim($_POST['email'])))
		$err_es = 'Your email invalid !';
	elseif(!isset($_POST['codeimg']) || trim($_POST['codeimg'])=='')
		$err_v = 'Please enter verification code';
	elseif(trim($_POST['codeimg'])!=$_SESSION['encoded_captcha'])
		$err_v = 'Verification code not match';
	elseif(exits_user(mysql_real_escape_string(trim($_POST['email']))))
		$err_es = 'This email is not in use';
	else{
		$strfg = sha1(mysql_real_escape_string(trim($_POST['email'])).$_SESSION['encoded_captcha']);
		$data = array(mysql_real_escape_string(trim($_POST['email'])), $strfg);
		if(!forgot_password($data))
			$error_s = 'An error occurred, please try again !';
		elseif(!@mail(trim($_POST['email']), '=?UTF-8?B?'.base64_encode('Forgot password').'?=', 'Hi, '.$_POST['email'].'<br><a href="'.$base_url.'forgot.php?fgstr='.$strfg.'">Click here </a>to reset your password !', 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$adminemail))
			$error_s = 'Cannot send email, please contact admin for your password !';
		else $success_s = 'We have sent for you an email, please check mail to reset your password !';
		}
	}
if($_SERVER['REQUEST_METHOD']=='POST' && isset($_POST['smrecover'])){
	if(!isset($_POST['password']) || trim($_POST['password'])=='')
		$err_rv = 'Please enter password';
	elseif(strlen(trim($_POST['password']))<6)
		$err_rv = 'Password min is 6 characters';
	elseif(trim($_POST['password'])!=trim($_POST['repass']))
		$err_rrv = 'Password is not match !';
	elseif(!isset($_POST['codeimg']) || trim($_POST['codeimg'])=='')
		$err_v = 'Please enter verification code';
	elseif(trim($_POST['codeimg'])!=$_SESSION['encoded_captcha'])
		$err_v = 'Verification code not match';
	else{
		$data = array(md5(mysql_real_escape_string(trim($_POST['password']))), mysql_real_escape_string(trim($_POST['compval'])));
		if(!change_password($data, 0))
			$error_r = 'An error occurred, please try again !';
		else $success_r = 'Change password successful !<br><a href="signin.php">Click here</a> to lgoin your account.';
		}
	}
$ismenu = 11;
$descrip = 'Forgot password';
require_once 'includes/header.php';
echo '<div id="maindisplay">';
?>
   <div style="width:700px; margin:0px auto; min-height:500px;">
   		<div style="width:90%; margin:0px auto; -moz-border-radius:3px; -webkit-border-radius:3px; border-radius:3px; border:1px solid #d6d8e5; margin-top:100px;">
            <?php
			if(!isset($_GET['fgstr'])){
			?>
            <h2 style="margin-left:10px; background:url(imgs/gach_tintuc.jpg) no-repeat left bottom; padding-bottom:5px;">Forgot password</h2>
            <?php
			if(isset($error_s) && !empty($error_s))
				echo '<p style="margin-top:0px; padding-top:0px; margin-left:10px;"><font color="#FF0000">',$error_s,'</font></p>';
			if(isset($success_s) && !empty($success_s))
				echo '<p style="margin-top:0px; padding-top:0px; margin-left:10px;"><font color="#009933">',$success_s,'</font></p>';
			?>
            <form action="" method="post">
            <table width="100%" cellpadding="2" cellspacing="2" border="0">
            	<tr>
                	<td width="30%" align="right" valign="top"><font color="#FF0000">* </font>Your email :</td>
                    <td width="70%" align="left"><input type="text" style="width:250px;" maxlength="255" name="email" value="<?php echo isset($_POST['email'])?$_POST['email']:'';?>"/>
                    <?php
					if(isset($err_es) && !empty($err_es))
						echo '<br><font color="#FF0000"><small><i>',$err_es,'</i></small></font>';
					?>
                    </td>
                </tr>
                <tr>
                    <td width="30%" align="right" valign="top">&nbsp;</td>
                    <td width="70%" align="left"><img src="<?php echo $base_url;?>includes/capcha.php" border="0"/></td>
                </tr>
                <tr>
                	<td width="30%" align="right" valign="top"><font color="#FF0000">* </font>Verification :</td>
                    <td width="70%" align="left"><input type="text" style="width:84px;" maxlength="6" name="codeimg"/>
                    <?php
					if(isset($err_v) && !empty($err_v))
						echo '<br><font color="#FF0000"><small><i>',$err_v,'</i></small></font>';
					?>
                    </td>
                </tr>
            </table>
            <p style="border-top:1px solid #d6d8e5; background:#F2F2F2; margin-bottom:0px; padding:5px 10px 5px 0px; text-align:right"><input type="submit" name="smforgot" value="Recover" class="massterbutton"/></p>
            <?php
				}
			elseif(isset($_GET['fgstr']) && recover_password(mysql_real_escape_string(trim($_GET['fgstr'])))){
				?>
                <h2 style="margin-left:10px; background:url(imgs/gach_tintuc.jpg) no-repeat left bottom; padding-bottom:5px;">Reset password</h2>
                <?php
				if(isset($error_r) && !empty($error_r))
					echo '<p style="margin-top:0px; padding-top:0px; margin-left:10px;"><font color="#FF0000">',$error_r,'</font></p>';
				if(isset($success_r) && !empty($success_r))
					echo '<p style="margin-top:0px; padding-top:0px; margin-left:10px;"><font color="#009933">',$success_r,'</font></p>';
				?>
                <form action="" method="post"><input type="hidden" name="compval" value="<?php echo $_GET['fgstr'];?>" />
                <table width="100%" cellpadding="2" cellspacing="2" border="0">
                    <tr>
                        <td width="30%" align="right" valign="top">New password :</td>
                        <td width="70%" align="left"><input type="password" style="width:250px;" maxlength="255" name="password" />
                        <?php
                        if(isset($err_rv) && !empty($err_rv))
                            echo '<br><font color="#FF0000"><small><i>',$err_rv,'</i></small></font>';
                        ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="30%" align="right" valign="top">Re-Enter password :</td>
                        <td width="70%" align="left"><input type="password" style="width:250px;" maxlength="255" name="repass" />
                        <?php
                        if(isset($err_rrv) && !empty($err_rrv))
                            echo '<br><font color="#FF0000"><small><i>',$err_rrv,'</i></small></font>';
                        ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="30%" align="right" valign="top">&nbsp;</td>
                        <td width="70%" align="left"><img src="<?php echo $base_url;?>includes/capcha.php" border="0"/></td>
                    </tr>
                    <tr>
                        <td width="30%" align="right" valign="top">Verification :</td>
                        <td width="70%" align="left"><input type="text" style="width:84px;" maxlength="6" name="codeimg"/>
                        <?php
                        if(isset($err_v) && !empty($err_v))
                            echo '<br><font color="#FF0000"><small><i>',$err_v,'</i></small></font>';
                        ?>
                        </td>
                    </tr>
                </table>
                <p style="border-top:1px solid #d6d8e5; background:#F2F2F2; margin-bottom:0px; padding:5px 10px 5px 0px; text-align:right"><input type="submit" name="smrecover" value="Save" class="massterbutton"/></p>
                <?php
				}
			else{
				?>
                <h2 style="margin-left:10px; background:url(imgs/gach_tintuc.jpg) no-repeat left bottom; padding-bottom:5px;">Recover password</h2>
                <p style="margin-left:10px;">Your bad URL !!!!!</p>
                <form action="" method="post">
                <table width="100%" cellpadding="2" cellspacing="2" border="0">
                    <tr>
                        <td width="30%" align="right" valign="top">&nbsp;</td>
                        <td width="70%" align="left">&nbsp;</td>
                    </tr>
                    <tr>
                        <td width="30%" align="right" valign="top">&nbsp;</td>
                        <td width="70%" align="left">&nbsp;</td>
                    </tr>
                    <tr>
                        <td width="30%" align="right" valign="top">&nbsp;</td>
                        <td width="70%" align="left">&nbsp;</td>
                    </tr>
                </table>
                <p style="border-top:1px solid #d6d8e5; background:#F2F2F2; margin-bottom:0px; padding:5px 10px 5px 0px; text-align:right">&nbsp;</p>
                <?php
				}
			?>
          	</form>
        </div>
   </div>     
<?php
echo '</div>';
require_once 'includes/footer.php';
mysql_close();