-- phpMyAdmin SQL Dump
-- version 2.11.11.3
-- http://www.phpmyadmin.net
--
-- Host: 184.168.194.156
-- Generation Time: Mar 03, 2013 at 06:29 PM
-- Server version: 5.0.96
-- PHP Version: 5.1.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `Classified Ads`
--

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `tbld_banlift` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `NumofDays` int(11) NOT NULL DEFAULT '0',
  `StrDisplay` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_bannedusers` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL DEFAULT '0',
  `BanLift` int(11) NOT NULL DEFAULT '0',
  `Reason` text COLLATE utf8_unicode_ci,
  `BannedDate` datetime DEFAULT NULL,
  `BanEmail` tinyint(3) NOT NULL DEFAULT '0',
  `BanDomain` tinyint(3) NOT NULL DEFAULT '0',
  `Email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ExpireDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_categories` (
  `CateId` int(11) NOT NULL AUTO_INCREMENT,
  `CateName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`CateId`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_countries` (
  `CountryID` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `Country` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`CountryID`)
) ENGINE=MyISAM AUTO_INCREMENT=241 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_hotlist` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL,
  `PostId` int(11) NOT NULL,
  `SaveDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `tbld_housinglaundry` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `HouseLaundry` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_housingparking` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `HouseParking` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_housingtype` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `HouseType` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_notreceiving` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `EmailNotReceiving` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_pages` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `PageTitle` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PageBody` longtext COLLATE utf8_unicode_ci,
  `PostedDate` datetime DEFAULT NULL,
  `Lastupdate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_posts` (
  `PostId` int(11) NOT NULL AUTO_INCREMENT,
  `PostBy` int(11) NOT NULL DEFAULT '0',
  `CountryId` int(11) NOT NULL DEFAULT '0',
  `StateId` int(11) NOT NULL DEFAULT '0',
  `CateId` int(11) NOT NULL DEFAULT '0',
  `SubCateId` int(11) NOT NULL DEFAULT '0',
  `PostTitle` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `SpecificLocation` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `DescriptionPost` longtext COLLATE utf8_unicode_ci,
  `ReplyTo` tinyint(1) NOT NULL DEFAULT '0',
  `ShowMap` tinyint(1) NOT NULL DEFAULT '0',
  `Street` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CrossStreet` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `City` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PostalCode` varchar(255) DEFAULT NULL,
  `ContactOther` tinyint(1) NOT NULL DEFAULT '0',
  `PostStatus` tinyint(1) NOT NULL DEFAULT '0',
  `PostedDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `LastUpdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Imgs1` varchar(255) DEFAULT NULL,
  `Imgs2` varchar(255) DEFAULT NULL,
  `Imgs3` varchar(255) DEFAULT NULL,
  `Imgs4` varchar(255) DEFAULT NULL,
  `Imgs5` varchar(255) DEFAULT NULL,
  `Imgs6` varchar(255) DEFAULT NULL,
  `Imgs7` varchar(255) DEFAULT NULL,
  `Imgs8` varchar(255) DEFAULT NULL,
  `StrComp` varchar(255) DEFAULT NULL,
  `IsActive` tinyint(1) NOT NULL DEFAULT '1',
  `Rent` int(11) NOT NULL,
  `Bedrooms` tinyint(3) NOT NULL,
  `Bathrooms` tinyint(3) NOT NULL,
  `HouseType` int(11) NOT NULL,
  `HouseLaundry` int(11) NOT NULL,
  `HouseParking` int(11) NOT NULL,
  `SquareFoot` int(11) NOT NULL,
  `IsFurnished` tinyint(3) NOT NULL,
  `IsCates` tinyint(3) NOT NULL,
  `IsDogs` tinyint(3) NOT NULL,
  `Compansation` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsTelecommuning` tinyint(1) NOT NULL DEFAULT '0',
  `IsParttime` tinyint(1) NOT NULL DEFAULT '0',
  `IsContract` tinyint(1) NOT NULL DEFAULT '0',
  `NonProfit` tinyint(1) NOT NULL DEFAULT '0',
  `IsIntership` tinyint(1) NOT NULL DEFAULT '0',
  `IsHighlight` tinyint(1) NOT NULL DEFAULT '0',
  `ContactDirect` tinyint(1) NOT NULL DEFAULT '0',
  `PosterAge` int(11) NOT NULL DEFAULT '0',
  `GigsPay` varchar(255) DEFAULT NULL,
  `Lat` varchar(255) default NULL,
  `Lng` varchar(255) default NULL,
  PRIMARY KEY (`PostId`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_send2friend` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `FromUser` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `SendTo` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `StrCmp` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_states` (
  `StateID` int(11) NOT NULL AUTO_INCREMENT,
  `NameState` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `CountryID` int(11) NOT NULL DEFAULT '0',
  `TopSorted` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`StateID`)
) ENGINE=MyISAM AUTO_INCREMENT=576 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_subcategories` (
  `SubCateId` int(11) NOT NULL AUTO_INCREMENT,
  `CateId` int(11) NOT NULL DEFAULT '0',
  `SubName` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`SubCateId`)
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_timezones` (
  `ZoneId` int(11) NOT NULL AUTO_INCREMENT,
  `ValZone` int(11) NOT NULL DEFAULT '0',
  `StrDisplay` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `ValDisplay` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`ZoneId`)
) ENGINE=MyISAM AUTO_INCREMENT=93 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `tbld_users` (
  `UserId` int(11) NOT NULL AUTO_INCREMENT,
  `Email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Password` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsActive` tinyint(1) NOT NULL DEFAULT '0',
  `StrActive` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CountryId` int(11) NOT NULL DEFAULT '0',
  `StateId` int(11) NOT NULL DEFAULT '0',
  `TimeZone` int(11) NOT NULL DEFAULT '0',
  `ForgetPass` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Address` text COLLATE utf8_unicode_ci,
  `GroupId` tinyint(3) NOT NULL DEFAULT '0',
  `RegisterDate` datetime DEFAULT NULL,
  PRIMARY KEY (`UserId`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `tbld_site_settings` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Variable` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsRead` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `tbld_site_settings` VALUES (1,'sitename','Sample site 1',0) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_site_settings` VALUES (2,'unit','$',0) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_site_settings` VALUES (3,'dayofdisplay','45',0) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_site_settings` VALUES (4,'filetype','gif,jpg,png',0) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_site_settings` VALUES (5,'max_size','25000',0) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_site_settings` VALUES (6,'max_height','1000',0) ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `tbld_site_settings` VALUES (7,'max_width','1000',0) ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `tbld_site_settings` VALUES (8,'copyright','&amp;copy; 2013. All right',0) ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `tbld_site_settings` VALUES (9,'uploaddir','fuploads',0) ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `tbld_site_settings` VALUES (10,'adminemail','admin@domain.com',0) ON DUPLICATE KEY UPDATE Id=10;
INSERT INTO `tbld_site_settings` VALUES (11,'descrip','Classifieds for jobs, apartments, personals, for sale, services, community, and events 2',0) ON DUPLICATE KEY UPDATE Id=11;
INSERT INTO `tbld_site_settings` VALUES (12,'showeachside','4',0) ON DUPLICATE KEY UPDATE Id=12;
INSERT INTO `tbld_site_settings` VALUES (13,'per_page','30',0) ON DUPLICATE KEY UPDATE Id=13;
INSERT INTO `tbld_site_settings` VALUES (14,'typedisplay','grid',0) ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `tbld_site_settings` VALUES (15,'language_default','L2',1) ON DUPLICATE KEY UPDATE Id=15;
INSERT INTO `tbld_site_settings` VALUES (16,'Version','1.0',1) ON DUPLICATE KEY UPDATE Id=16;