<?php
require_once 'includes/config.php';
require_once 'includes/database.php';
require_once 'includes/functions.php';
$ismenu = 12;
$descrip = 'Account signup';
if($_SERVER['REQUEST_METHOD']=='POST' && isset($_POST['smsignup'])){
	if(!isset($_POST['email']) || trim($_POST['email'])=='')
		$err_e = 'Please enter your email address';
	elseif(!valid_email(trim($_POST['email'])))
		$err_e = 'Your email invalid !';
	elseif(!isset($_POST['password']) || trim($_POST['password'])=='')
		$err_p = 'Please enter password';
	elseif(strlen(trim($_POST['password']))<6)
		$err_p = 'Password min is 6 characters';
	elseif(trim($_POST['password'])!=trim($_POST['repass']))
		$err_rp = 'Password is not match !';
	elseif(!isset($_POST['codeimg']) || trim($_POST['codeimg'])=='')
		$err_v = 'Please enter verification code';
	elseif(trim($_POST['codeimg'])!=$_SESSION['encoded_captcha'])
		$err_v = 'Verification code not match';
	elseif(!exits_user(mysql_real_escape_string(trim($_POST['email']))))
		$err_e = 'This email already in use';
	else{
		$strapp = sha1(mysql_real_escape_string(trim($_POST['email'])).$_SESSION['encoded_captcha'].mysql_real_escape_string(trim($_POST['password'])));
		$data = array(mysql_real_escape_string(trim($_POST['email'])), md5(mysql_real_escape_string(trim($_POST['password']))), $strapp);
		if(!new_user($data))
			$error = 'An error occurred, please try again !';
		elseif(!@mail(trim($_POST['email']), '=?UTF-8?B?'.base64_encode('Acctive account').'?=', $base_url.'acctive.php?str='.$strapp, "Content-Type: text/html; charset=utf-8\r\nFrom: ".$adminemail))
			$error = 'Cannot send email, please contact admin for acctive your account !';
		else $success = 'We have sent for you an email, please check mail to acctive account !';
		}
	}
require_once 'includes/header.php';
echo '<div id="maindisplay">';
?>
   <div style="width:700px; margin:0px auto; min-height:500px;">
   		<div style="width:90%; margin:0px auto; -moz-border-radius:3px; -webkit-border-radius:3px; border-radius:3px; border:1px solid #d6d8e5; margin-top:100px;">
        	<h2 style="margin-left:10px; background:url(imgs/gach_tintuc.jpg) no-repeat left bottom; padding-bottom:5px;"><?php echo $descrip;?></h2>
            <?php
			if(isset($error) && !empty($error))
				echo '<p style="margin-top:0px; padding-top:0px; margin-left:10px;"><font color="#FF0000">',$error,'</font></p>';
			if(isset($success) && !empty($success))
				echo '<p style="margin-top:0px; padding-top:0px; margin-left:10px;"><font color="#009933">',$success,'</font></p>';
			?>
            <form action="" method="post">
            <table width="100%" cellpadding="2" cellspacing="2" border="0">
            	<tr>
                	<td width="30%" align="right" valign="top"><font color="#FF0000">* </font>Email :</td>
                    <td width="70%" align="left"><input type="text" style="width:250px;" maxlength="255" name="email" value="<?php echo isset($_POST['email'])?$_POST['email']:'';?>"/>
                    <?php
					if(isset($err_e) && !empty($err_e))
						echo '<br><font color="#FF0000"><small><i>',$err_e,'</i></small></font>';
					?>
                    </td>
                </tr>
                <tr>
                	<td width="30%" align="right" valign="top"><font color="#FF0000">* </font>Password :</td>
                    <td width="70%" align="left"><input type="password" style="width:250px;" maxlength="32" name="password"/>
                    <?php
					if(isset($err_p) && !empty($err_p))
						echo '<br><font color="#FF0000"><small><i>',$err_p,'</i></small></font>';
					?>
                    </td>
                </tr>
                <tr>
                	<td width="30%" align="right" valign="top"><font color="#FF0000">* </font>Re-Enter password :</td>
                    <td width="70%" align="left"><input type="password" style="width:250px;" maxlength="32" name="repass"/>
                    <?php
					if(isset($err_rp) && !empty($err_rp))
						echo '<br><font color="#FF0000"><small><i>',$err_rp,'</i></small></font>';
					?>
                    </td>
                </tr>
                <tr>
                    <td width="30%" align="right" valign="top">&nbsp;</td>
                    <td width="70%" align="left"><img src="<?php echo $base_url;?>includes/capcha.php" border="0"/></td>
                </tr>
                <tr>
                	<td width="30%" align="right" valign="top"><font color="#FF0000">* </font>Verification :</td>
                    <td width="70%" align="left"><input type="text" style="width:84px;" maxlength="6" name="codeimg"/>
                    <?php
					if(isset($err_v) && !empty($err_v))
						echo '<br><font color="#FF0000"><small><i>',$err_v,'</i></small></font>';
					?>
                    </td>
                </tr>
            </table>
            <p style="border-top:1px solid #d6d8e5; background:#F2F2F2; margin-bottom:0px; padding:5px 10px 5px 0px; text-align:right"><input type="submit" name="smsignup" value="Create Account" class="massterbutton"/>&nbsp;<input type="reset" name="smreset" value="Re-Enter" class="massterbutton"/></p>
          	</form>
        </div>
   </div>     
<?php
echo '</div>';
require_once 'includes/footer.php';
mysql_close();